// Copyright 2022 Jens W. Wulf, originally published at http://www.jwwulf.de/en/kbd/
// This file licensed under the
// Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International License.
// To view a copy of this license, visit
// https://creativecommons.org/licenses/by-nc-sa/4.0/

// Durchmesser der Welle
dw=6+0.5; 

// Verlängerung (0 zum Deaktivieren)
v = 0;

// Länge Fuß
f = 16+v;

include <print_par.scad>

difference(){
  union(){
    cylinder(d=dw+2*print_w4,$fn=50,h=4,center=true);
    translate([0,0,0]) rotate([90,0,0]) cylinder(d=4,$fn=50,h=f,center=false);
    if (v > 0)
    {
      translate([0,-(v+dw/2+print_w4)/2,0]) cube([dw+2*print_w4,v+dw/2+print_w4,4], center=true);
      translate([0,-(v+dw/2+print_w4)/2,5]) cube([dw+2*print_w4,v+dw/2+print_w4,14], center=true);      
    }
  }
  cylinder(d=dw,$fn=30,h=99,center=true);
}
